%global modulename optionator

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-optionator
Version:        0.8.2
Release:        1%{?dist}
Summary:        option parsing and help generation

License:        MIT
URL:            https://github.com/gkz/optionator
Source0:        https://registry.npmjs.org/optionator/-/optionator-0.8.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(prelude-ls) >= 1.1.2 with npmlib(prelude-ls) < 1.2.0))
BuildRequires:  ((npmlib(deep-is) >= 0.1.3 with npmlib(deep-is) < 0.2.0))
BuildRequires:  ((npmlib(wordwrap) >= 1.0.0 with npmlib(wordwrap) < 1.1.0))
BuildRequires:  ((npmlib(type-check) >= 0.3.2 with npmlib(type-check) < 0.4.0))
BuildRequires:  ((npmlib(levn) >= 0.3.0 with npmlib(levn) < 0.4.0))
BuildRequires:  ((npmlib(fast-levenshtein) >= 2.0.4 with npmlib(fast-levenshtein) < 2.1.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
option parsing and help generation

%package 0.8.2
Summary:        option parsing and help generation


%description 0.8.2
option parsing and help generation

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 0.8.2
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 19 2018 npm2srpm <dshea@redhat.com> - 0.8.2-1
- Package automatically generated by npm2srpm
